## udev-discover 0.2.2

=== po/Makefile ===
#!/usr/bin/make -f

PROJECT = udevdiscover

GETTEXT = /usr/bin/xgettext
MSGMERGE = /usr/bin/msgmerge

PO = $(shell find . -name '*.po' -print | sed -e 's!./!!g')

update-po:
	$(GETTEXT) -f POTFILES -L python -d $(PROJECT) -o $(PROJECT).pot
	$(GETTEXT) -j -f POTFILESUI -L glade -d $(PROJECT) -o $(PROJECT).pot
	for lang in $(PO); do $(MSGMERGE) -U $$lang $(PROJECT).pot; done

=== debian/changelog ===
udev-discover (0.2.2-1) unstable; urgency=low

  * Migrated to dh_python2 and quilt source
  * New icon dependency
  * New upstream version

 -- J. Félix Ontañón <fontanon@emergya.es>  Wed, 04 Jan 2012 13:43:44 +0100

udev-discover (0.2.1-1) unstable; urgency=low

  * New upstream version

 -- J. Félix Ontañón <fontanon@emergya.es>  Wed, 31 Aug 2011 20:43:44 +0200

udev-discover (0.2-1) unstable; urgency=low

  * Initial release

 -- J. Félix Ontañón <fontanon@emergya.es>  Wed, 17 Aug 2011 20:53:49 +0100

=== debian/control ===
Source: udev-discover
Section: gnome
Priority: optional
Maintainer: J. Félix Ontañón <fontanon@emergya.es>
Build-Depends: debhelper (>= 7.0.50~),python-dev (>= 2.6.6-3~), gettext
Standards-Version: 3.9.2
Homepage: http://fontanon.org/udevdiscover
X-Python-Version: >=2.7

Package: udev-discover
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-gconf, python-gudev,
 python-gobject, gir1.2-gtk-3.0, gir1.2-gconf-2.0, gir1.2-gdkpixbuf-2.0,
 gnome-icon-theme-full | gnome-icon-theme-extras
Description: Sysfs browsing tool focused on helping udev users and developers
 A helping tool for udev testers, coders, hackers and consumers.
    * Browsing the sysfs tree via udev
    * Reports udev device info and udev properties
    * Filter and search devices
    * Monitorize udev device events

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh $@ --with python2

# i18n rules
PREFIX = /usr
DATADIR = $(PREFIX)/share
LOCALEDIR = $(DATADIR)/locale
PO = $(shell find ./po -name *.po -print | sed -e 's!.po!!g' -e 's!./!!g')

clean:
	rm -rf mo
	rm -rf build
	rm -f udev-discover

override_dh_auto_install:
	dh_auto_install
	for lang in $(PO); do mkdir -p mo/$$lang/LC_MESSAGES; msgfmt po/$$lang.po -o mo/$$lang/LC_MESSAGES/udevdiscover.mo; dh_install mo/$$lang/LC_MESSAGES/udevdiscover.mo $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/; done
	mkdir -p debian/udev-discover/usr/share/gconf
	mv debian/udev-discover/etc/gconf/schemas debian/udev-discover/usr/share/gconf/
	rmdir debian/udev-discover/etc/gconf
	rmdir debian/udev-discover/etc

=== debian/watch ===
version=3
http://launchpad.net/udev-discover/+download \
    (?:.*/)?udev-discover-([\d\.]+)\.tar\.gz
